
Redmine - Patch #18782

Fix ui tests broken by undefined method error

2015-01-08 17:56 - Katsuya HIDAKA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.6.1   

Description

Run `rake test:ui` on Ruby 2.1.5p273 with trunk@r13854. Then, the following error occurs:

# Running:

....E...E.

Finished in 19.102035s, 0.5235 runs/s, 2.9840 assertions/s.

  1) Error:

Redmine::UiTest::IssuesTest#test_create_issue_with_form_update:

NoMethodError: undefined method `find_all_by' for #<Class:0x007f8f1c66f2d0>

    test/ui/issues_test.rb:63:in `test_create_issue_with_form_update'

  2) Error:

Redmine::UiTest::IssuesTest#test_update_issue_with_form_update:

NoMethodError: undefined method `find_all_by' for #<Class:0x007f8f1c66f2d0>

    test/ui/issues_test.rb:191:in `test_update_issue_with_form_update'

10 runs, 57 assertions, 0 failures, 2 errors, 0 skips

Associated revisions

Revision 13860 - 2015-01-10 11:20 - Jean-Philippe Lang

Fixed errors in UI tests (#18782).

Revision 13868 - 2015-01-10 22:12 - Jean-Philippe Lang

Merged r13860 (#18782).

History

#1 - 2015-01-09 22:11 - Jean-Philippe Lang

- Target version set to 2.6.1

#2 - 2015-01-10 11:21 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Fixed in r13860, thanks for pointing this out.

#3 - 2015-01-11 09:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

fix-testui-errors-r13854.diff 1.32 KB 2015-01-08 Katsuya HIDAKA
